<template>
	<v-card class="main">
		<v-text-field
			label="Old password"
			type="password"
			v-model="old_password">
		</v-text-field>
		<v-text-field
			label="New password"
			prepend-icon="lock"
			append-icon="show_password ? 'mdi-eye' : 'mdi-eye-off'"
			:type="show_password ? 'text' : 'password'"
			@click:append="show_password = !show_password"
			v-model="new_password">
		</v-text-field>
		<div v-if="error" class="error--text">
			{{error_message}}
		</div>
		<v-btn color="primary" outlined @click="submit">
			Change password
		</v-btn>
		<v-snackbar v-model="success" bottom right color="green">
			Password change successful!
		</v-snackbar>
	</v-card>
</template>


<script>
import { httpPost } from '@/utils/connection';
export default {
	name: "User",
	data() {
		return {
			old_password: "",
			new_password: "",
			success: false,
			error: false,
			error_message: "",
			show_password: false
		};
	},
	methods: {
		async submit() {
			try {
				var response = await httpPost(process.env.VUE_APP_API_URL + "/changepassword", {
					oldpass: this.old_password,
					newpass: this.new_password,
					username: this.$store.state.username
				});
				if (response) {
					this.success = true;
					this.error = false;
				} else {
					this.error = true
					this.error_message = response.data.msg;
				}
			} catch (error) {
				this.error = true
				this.error_message = "Something went wrong. Try again later."
			}

		}
	}
};
</script>

<style scoped>
.main {
	margin: auto;
	max-width: 600px;
	padding: 20px;
}
</style>
